# Generate report for Argentina EEZ with filters by structure_start_date and structure_end_date (/docs/examples/bulk-download/create-report-example6)



**Request body**

| Field            | Value                                                                                                                          | Description                         |
| ---------------- | ------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------- |
| `name`           | `sar-vessel-detection-example-dates-range`                                                                                     | Name of the report                  |
| `dataset`        | `public-fixed-infrastructure-data:latest`                                                                                      | Fixed infrastructure dataset        |
| `format`         | `CSV`                                                                                                                          | Output format of the report         |
| `region.dataset` | `public-eez-areas`                                                                                                             | Existing region dataset             |
| `region.id`      | `8466`                                                                                                                         | Argentina EEZ region id             |
| `filters`        | `["structure_start_date between '2020-01-01' and '2023-01-01' ", "structure_end_date between '2022-01-01' and '2025-01-01' "]` | Filter by start and end date ranges |

**Request**

<Tabs items="['cURL', 'JavaScript']">
  <Tab value="cURL">
    ```shell
    # Make sure to replace [TOKEN] with your API Access Token.
    curl --location 'https://gateway.api.globalfishingwatch.org/v3/bulk-reports' \
    --header 'Content-Type: application/json' \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer TOKEN' \
    --data '{
      "name": "sar-vessel-detection-example-dates-range",
      "dataset": "public-fixed-infrastructure-data:latest",
      "format": "CSV",
      "region": {
        "dataset": "public-eez-areas",
        "id": 8466},
        "filters": ["structure_start_date between '\''2020-01-01'\'' and '\''2023-01-01'\'' ", "structure_end_date between '\''2022-01-01'\'' and '\''2025-01-01'\'' "]
    }'
    ```
  </Tab>

  <Tab value="JavaScript">
    ```js
    // Make sure to replace [TOKEN] with your API Access Token.
    const res = await fetch('https://gateway.api.globalfishingwatch.org/v3/bulk-reports', {
      method: 'POST',
      headers: {
        Authorization: 'Bearer [TOKEN]',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        name: 'sar-vessel-detection-example-dates-range',
        dataset: 'public-fixed-infrastructure-data:latest',
        format: 'CSV',
        region: {
          dataset: 'public-eez-areas',
          id: 8466,
        },
        filters: [
          "structure_start_date between '2020-01-01' and '2023-01-01' ",
          "structure_end_date between '2022-01-01' and '2025-01-01' ",
        ],
      }),
    })
    const data = await res.json()
    ```
  </Tab>
</Tabs>

**Response**

```shell
{
    "id": "ec189fda-da57-4c64-89cc-a99463a4491a",
    "dataset": "public-fixed-infrastructure-data:v1.1",
    "name": "fixed-infrastructure-example-dates-range",
    "filepath": "sar_fixed_infrastructure_202409.csv",
    "filters": [
        "structure_start_date between '2020-01-01' and '2023-01-01' ",
        "structure_end_date between '2022-01-01' and '2025-01-01' "
    ],
    "status": "pending",
    "geom": {
        "type": "dataset",
        "dataset": "public-eez-areas",
        "id": 8466
    },
    "createdAt": "2025-07-01T00:52:48.485Z",
    "updatedAt": "2025-07-01T00:52:48.485Z",
    "ownerId": 385,
    "ownerType": "user-application",
    "format": "CSV",
    "fileSize": null
}
```
